Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6593 - mv erroneously does recursive moves
Summary: mv erroneously does recursive moves
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fileutils
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-01 08:14 UTC by tony
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-17 20:21:42 UTC


Attachments (Terms of Use)

Description tony 1999-11-01 08:14:24 UTC
ls -l
[several files and directories listed]
mkdir dir
mv * dir
[long pause, disk thrashing, not good]
^C
ls -F
dir/
ls -l dir/
[moved files + dir/]
ls -l dir/dir/
[moved files + another dir/ !!!]

Bad news.  mv should complain about an "invalid arguement"
when trying to mv dir/ into dir/ and should not do it
recursively.

Comment 1 Bernhard Rosenkraenzer 2000-02-17 20:21:59 UTC
Works for me with 4.0-19


Note You need to log in before you can comment on or make changes to this bug.